#include <bits/stdc++.h>

using namespace std;

int niz[1000050];

int main()
{
    int x,n;
    cin>>n>>x;
    for(int i=0;i<n;i++)
        cin>>niz[i];
    int maxi=*max_element(niz,niz+n);
    int mini=*min_element(niz,niz+n);
    long long r=abs(x-mini)+maxi-mini;
    long long r2=abs(x-maxi)+maxi-mini;
    cout<<min(r,r2);
    return 0;
}